summaryrefslogtreecommitdiffstats
path: root/docker
diff options
context:
space:
mode:
authorChristian Lohmaier <lohmaier+github@googlemail.com>2020-05-15 12:50:33 +0200
committerThorsten Behrens <Thorsten.Behrens@CIB.de>2020-05-15 22:30:14 +0200
commitd6b8a37eb103fe8457e173458cdce670fda9ec45 (patch)
treee9b2cc8b17d84695f1b07073cc0adcdeed54ebb5 /docker
parentcypress: enable some more tests. (diff)
downloadonline-d6b8a37eb103fe8457e173458cdce670fda9ec45.tar.gz
online-d6b8a37eb103fe8457e173458cdce670fda9ec45.zip
set INSTDIR again in and check for dockerfile in proper location
f'up fix to 607ddbff466d145d0dcf87b2759c7e4d02b28f1d Change-Id: Idbb5191afcb9baab5c58e43e1b2511493491f029 Reviewed-on: https://gerrit.libreoffice.org/c/online/+/94291 Tested-by: Jenkins CollaboraOffice <jenkinscollaboraoffice@gmail.com> Reviewed-by: Thorsten Behrens <Thorsten.Behrens@CIB.de>
Diffstat (limited to 'docker')
-rwxr-xr-xdocker/l10n-docker-nightly.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/docker/l10n-docker-nightly.sh b/docker/l10n-docker-nightly.sh
index e921a42837..dcd72b0eea 100755
--- a/docker/l10n-docker-nightly.sh
+++ b/docker/l10n-docker-nightly.sh
@@ -53,6 +53,7 @@ echo "LibreOffice build target: '$LIBREOFFICE_BUILD_TARGET'"
SRCDIR=$(realpath `dirname $0`)
+INSTDIR="$SRCDIR/instdir"
if [ -z "$(lsb_release -si)" ]; then
echo "WARNING: Unable to determine your distribution"
@@ -62,7 +63,7 @@ if [ -z "$(lsb_release -si)" ]; then
else
HOST_OS=$(lsb_release -si)
fi
-if ! [ -e "$HOST_OS" ]; then
+if ! [ -e "$SRCDIR/$HOST_OS" ]; then
echo "There is no suitable Dockerfile for your host system."
echo "Please fix this problem and re-run $0"
exit 1